Subject: Re: bug#35659: 26.1; Weird horizontal scroll behavior with certain settings for `auto-hscroll-mode' and `hscroll-step`.

From: Clemens Radermacher <[email-masked]>
Date: Fri, 10 May 2019 14:37:59 +0200

> Neither auto-hscroll-mode nor the current-line hscrolling
> feature change that basic behavior.

When I do the described steps with hscroll-step set to 0 I don't get this
behavior. Then it is the way I would like it to be (just go to the end of the previous
line without scrolling it when it doesn't exceeds the window width). 

In my opinion the behavior in the gif is a bug,
the lines which do no exceed the window width should not be scrolled should they?

        Clemens